/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.attachment;

import java.util.Iterator;

public class IteratorAttachment {
    private Iterator _iterator = null;

    public IteratorAttachment(Iterator iterator) {
        super();
        _iterator = iterator;
    } // public IteratorAttachment(Iterator iterator)

    public boolean hasNext() {
        return _iterator.hasNext();
    } // public boolean hasNext()

    public IFaceAttachmentItem next() {
        return (IFaceAttachmentItem) _iterator.next();
    } // public IFaceAttachmentItem next()

    public void remove() {
        _iterator.remove();
    } // public void remove()
} // public class IteratorAttachment
