/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.dispatching.service.detail;

import it.eng.spago.base.SourceBean;

/**
 * @author Bellio
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public interface IFaceDetailService {
    /**
     * In questo metodo dev'essere implementata la logica di business inerente
     * all'azione di salvataggio dei dati.
     *
     * @param request nome del <code>SourceBean</code>
     * @param response nome del <code>SourceBean</code>
     */
    boolean insert(SourceBean request, SourceBean response);

    /**
     * In questo metodo dev'essere implementata la logica di business inerente
     * all'azione di recupero dei dati.
     *
     * @param request nome del <code>SourceBean</code>
     * @param response nome del <code>SourceBean</code>
     */
    boolean select(SourceBean request, SourceBean response);

    /**
     * In questo metodo dev'essere implementata la logica di business inerente
     * all'azione di modifica dei dati.
     *
     * @param request nome del <code>SourceBean</code>
     * @param response nome del <code>SourceBean</code>
     */
    boolean update(SourceBean request, SourceBean response);
} // public interface IFaceDetailService
