/**

    Copyright 2004, 2005 Engineering Ingegneria Informatica S.p.A. & Sinapsi S.p.A.

    This file is part of Spago.

    Spago is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    any later version.

    Spago is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Spago; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago.event.manager;

import java.util.ArrayList;

/**
 * @author Daniela Butano
 *
 * This class implements some methods (defined in ProfileManagerIFace)
 * to manage roles e users
 *
 */
public class ProfileManager implements ProfileManagerIFace {
	/**
	 * This method return all roles
     * This method throws an exception if something goes wrong
     * @throws <{Exception}>  - if some problems occurs during operation
	 */
    public ArrayList getAllRoles() throws Exception {
        //TOFINISH
        ArrayList allRoles = new ArrayList();
        allRoles.add("Ruolo1");
        allRoles.add("Ruolo2");
        allRoles.add("Ruolo3");
        allRoles.add("Ruolo4");
        allRoles.add("Ruolo5");
        return allRoles;
    }

	/**
	 * This method return all roles associated to user identified bu userId
     * This method throws an exception if something goes wrong
     * @throws <{Exception}>  - if some problems occurs during operation	
	 */
    public ArrayList getAllRoles(String userId) throws Exception {
        //TOFINISH
        ArrayList allRoles = new ArrayList();
        allRoles.add("Ruolo1");
        allRoles.add("Ruolo2");
        allRoles.add("Ruolo3");
        allRoles.add("Ruolo4");
        return allRoles;
    }

	/**
	 * This method return all users
     * This method throws an exception if something goes wrong
     * @throws <{Exception}>  - if some problems occurs during operation
	 */
    public ArrayList getAllUsers() throws Exception {
        //TOFINISH
        ArrayList allUsers = new ArrayList();
        allUsers.add("Utente1");
        allUsers.add("Utente2");
        allUsers.add("Utente3");
        allUsers.add("Utente4");
        allUsers.add("Utente5");
        return allUsers;
    }

	/**
	 * This method return all users asoociated to role identified by roleId
     * This method throws an exception if something goes wrong
     * @throws <{Exception}>  - if some problems occurs during operation
	 */
    public ArrayList getAllUsers(String roleId) throws Exception {
        //TOFINISH
        ArrayList allUsers = new ArrayList();
        allUsers.add("Utente1");
        allUsers.add("Utente2");
        allUsers.add("Utente3");
        allUsers.add("Utente4");
        allUsers.add("Utente5");
        return allUsers;
    }
}
